#ITE (Information Theoretical Estimators)

ITE is capable of estimating many different variants of entropy, mutual information and divergence measures. Thanks to its highly modular design, ITE supports additionally 

- the combinations of the estimation techniques, 
- the easy construction and embedding of novel information theoretical estimators, and 
- their immediate application in information theoretical optimization problems. 

ITE is 

- written in Matlab/Octave,
- multi-platform (tested extensively on Windows and Linux),
- free and open source (released under the GNU GPLv3(>=) license).

ITE can estimate Shannon-, Rnyi-, Tsallis entropy; generalized variance, kernel canonical correlation analysis, kernel generalized variance, Hilbert-Schmidt independence criterion, Shannon-, L2-, Rnyi-, Tsallis mutual information, copula-based kernel dependency, multivariate version of Hoeffding's Phi, Schweizer-Wolff's sigma and kappa; complex variants of entropy and mutual information; L2-, Rnyi-, Tsallis divergence; Hellinger-, Bhattacharyya distance; maximum mean discrepancy, and J-distance.

ITE offers solution methods for 

- Independent Subspace Analysis (ISA) and 
- its extensions to different linear-, controlled-, post nonlinear-, complex valued-, partially observed systems, as well as to systems
with nonparametric source dynamics. 

Note: 

- the evolution of the ITE code is briefly summarized in CHANGELOG.txt.
- become a [Follower](https://bitbucket.org/szzoli/ite/follow) to be always up-to-date with ITE.
- if you have an entropy, mutual information, divergence estimator/subtask solver with a GPLv3(>=)-compatible license that you would like to be embedded into ITE, feel free to contact me.

